CF-SERVERD(8)

NAME
cf-serverd - CFEngine file server daemon

SYNOPSIS
cf-serverd [OPTION]... [FILE]

DESCRIPTION
cf-serverd is a socket listening daemon providing two services: it acts as a file server for remote file copying and it allows an authorized cf-runagent to start a cf-agent run. cf-agent typically connects to a cf-serverd instance to request updated policy code, but may also request additional files for download. cf-serverd employs role based access control (defined in policy code) to authorize requests. Note: this daemon reloads it's config when the SIGHUP signal is received.

OPTIONS

--help, -h
    Print the help message

--log-level, -g value
    Specify how detailed logs should be. Possible values: 'error', 'warning', 'notice', 'info', 'verbose', 'debug'

--debug, -d
    Enable debugging output

--verbose, -v
    Output verbose information about the behaviour of the agent

--version, -V
    Output the version of the software

--file, -f value
    Specify an alternative input file than the default. This option is overridden by FILE if supplied as argument.

--define, -D value
    Define a list of comma separated classes to be defined at the start of execution

--negate, -N value
    Define a list of comma separated classes to be undefined at the start of execution

--no-lock, -K
    Ignore locking constraints during execution (ifelapsed/expireafter) if "too soon" to run

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--diagnostic, -x
    Activate internal diagnostics (developers only)

--no-fork, -F
    Run as a foreground processes (do not fork)

--ld-library-path, -L value
    Set the internal value of LD_LIBRARY_PATH for child processes

--generate-avahi-conf, -A
    Generates avahi configuration file to enable policy server to be discovered in the network

--color, -C value
    Enable colorized output. Possible values: 'always', 'auto', 'never'. If option is used, the default value is 'auto'

--timestamp, -l
    Log timestamps on each line of log output

CFENGINE
CFEngine provides automated configuration management of large-scale computer systems. A system administrator describes the desired state of a system using CFEngine policy code. The program cf-agent reads policy code and attempts to bring the current system state to the desired state described. Policy code is downloaded by cf-agent from a cf-serverd daemon. The daemon cf-execd is responsible for running cf-agent periodically.
Documentation for CFEngine is available at http://cfengine.com/documentation/.

PROMISE THEORY
CFEngine is built on principles from promise theory, proposed by Mark Burgess in 2004. Promise theory is a model of voluntary cooperation between individual, autonomous actors or agents who publish their intentions to one another in the form of promises. A promise is a declaration of intent whose purpose is to increase the recipient's certainty about a claim of past, present or future behaviour. For a promise to increase certainty, the recipient needs to trust the promiser, but trust can also be built on the verification that previous promises have been kept, thus trust plays a symbiotic relationship with promises.
For an introduction to promise theory, please see http://arxiv.org/abs/0810.3294/

AVAILABILITY
cf-serverd is part of CFEngine.
Binary packages may be downloaded from http://cfengine.com/downloads/.
The source code is available at http://github.com/cfengine/

BUGS
Please see the public bug-tracker at http://bug.cfengine.com/.
GitHub pull-requests may be submitted to http://github.com/cfengine/core/.

SEE ALSO
cf-promises(8), cf-agent(8), cf-serverd(8), cf-execd(8), cf-monitord(8), cf-runagent(8), cf-key(8)

AUTHOR
Mark Burgess and Northern.tech AS